MENU_FORMAT(3) | Library Functions Manual | MENU_FORMAT(3)

# NAME

`menu_format`, `set_menu_format` —
get or set number of rows and columns of items

# LIBRARY

Curses Menu Library (libmenu, -lmenu)

# SYNOPSIS

`#include <menu.h>`

void
`menu_format`(MENU *menu, int *rows, int *cols);

int
`set_menu_format`(MENU *menu, int rows, int cols);

# DESCRIPTION

The `menu_format`() returns the number of rows and columns of items that can be displayed by the menu. The format is set by the `set_menu_format`() function call. Note that the rows and columns defined here are not the size of the window but rather the number of rows and columns of items.

# RETURN VALUES

The functions return one of the following error values:

`E_OK`
  The function was successful.
`E_BAD_ARGUMENT`
  One or more of the arguments passed to the function was incorrect.
`E_POSTED`
  The menu is already posted.

# SEE ALSO

curses(3), menus(3)

# NOTES

The header <menu.h> automatically includes both <curses.h> and <eti.h>.

September 10, 1999 | NetBSD 9.3